#myth-transform
A dartlang pub transformer for [myth.io](http://www.myth.io)

_From the myth.io github page:_

>Myth is a preprocessor that lets you write pure CSS without having to worry about slow browser support, or even slow spec approval. It's like a CSS polyfill.

As an alternative to picking up Sass, Less, or another CSS preprocessing language, myth allows you to write plain ol' CSS with the features of tomorrow.

This transformer takes css files within your project and runs them through the 'myth' command.


To use, add the package to your `pubspec.yaml` and put the transformer near the top,

    transformers:
    - myth
    - ...

####You will also need `myth` installed globally.  

Directions for installing `myth` can be found [here](https://github.com/segmentio/myth).

---
###Configuration
The transformer can be configured further with the same syntax as the myth command line api.

    --no-import         disable import support
    --no-variables      disable variables support
    --no-custom-media   disable custom media support
    --no-hex-alpha      disable hex alpha support
    --no-color          disable color support
    --no-calc           disable calc support
    --no-font-variant   disable font variant support
    --no-rebeccapurple  disable rebeccapurple support
    --no-prefixes       disable prefixes support

_For example, you can disable variable and prefix polyfills like so._

    transformers:
    - myth:
        args: [--no-variables, --no-prefixes]
    - ...
